<template>
  <div
    class="w-[var(--default-width)] flex items-center justify-center p-[19px] gradient-background"
  >
    <el-radio-group
      :model-value="radioModel"
      class="radio-filter"
      @change="onRadioChange"
    >
      <el-radio
        v-for="(promoGroup, index) in promotionGroup"
        :key="index"
        :index="index"
        :label="promoGroup.label"
      >
        {{ promoGroup.Type }}
      </el-radio>
    </el-radio-group>
  </div>
</template>
<script lang="ts">
import { defineComponent, PropType } from "vue";

interface IpromotionFilterGroup {
  Type: string;
  label: string;
  class: string;
}

export default defineComponent({
  name: "PromotionFilter",
  props: {
    promotionGroup: {
      type: Array as PropType<IpromotionFilterGroup[]>,
      default: () => [{ Type: "All Offer", label: "all offer", class: "all" }],
    },
    radioModel: {
      type: String,
      default: "all",
    },
    selectModel: {
      type: Number,
      default: 0,
    },
  },
  emits: ["update:radioModel"],
  setup(props, { emit }) {
    const onRadioChange = (value: string) => {
      emit("update:radioModel", value);
    };
    return {
      onRadioChange,
    };
  },
});
</script>
<style lang="scss" scoped>
.gradient-background {
  background: linear-gradient(#0d1263, #0d1263, #292f93, #292f93, #292f93);
}
.radio-filter {
  display: flex;
  justify-content: center;
  align-items: center;

  .el-radio {
    --el-text-color-regular: rgb(255, 255, 255);
  }
}
</style>
